Go to the first, previous, next, last section, table of contents.

# 3 Invoking the emulators

The names of the available emulators are:

- `vsid`, the SID player
- `x64`, the fast C64 emulator
- `x64sc`, the accurate C64 emulator
- `x64dtv`, the C64DTV emulator
- `x128`, the C128 emulator
- `xvic`, the VIC20 emulator
- `xpet`, the PET emulator
- `xplus4`, the PLUS4 emulator
- `xcbm2`, the CBM-II emulator (CRTC models)
- `xcbm5x0`, the CBM-II emulator (VIC-II models)
- `xscpu64`, the SCPU64 emulator

You can run each of them by simply typing the name from a shell or by configuring your window manager for example to use them to open disk images.

If you want to look at the log output, or use the monitor in a port which does not have a dedicated monitor UI yet (such as the XAW port), you should always run them from a terminal window such as `xterm` or `rxvt`. For example, you could do

    xterm -e x64

## 3.1 Command-line options used during initialization

There are several options you can specify on the command line. Some of them are used to specify emulation settings and will be described in detail later (see section 6 Settings and resources for a complete list). The remaining options are used only to give usage information or to initialize the emulator in some way:

`-help`
`-?`
  List all the available command-line options and their meaning.
`-default`
  Set default resources (see section 6 Settings and resources). This will override all the settings specified before, but not the settings specified afterwards on the command line.
`-config <filename>`
  Specify config file
`-logfile <name>`
  Specify log file name (`LogFileName`).
`-verbose`
  Enable verbose log output.
`-keybuf <string>`
  Put the specified string into the keyboard buffer.
`-console`
  Console mode (for music playback)
`-chdir <directory>`
  Change the working directory.
`-autostart <name>`
  Autostart <name> (see section 3.2 Autostarting programs from the command-line).
`-autoload <name>`
  Attach and autoload tape/disk image <name>
`-1 <Name>`
  Attach <Name> as a tape image file.
`-8 <Name>`
`-9 <Name>`
`-10 <Name>`
`-11 <Name>`
  Attach <Name> as a disk image to device 8, 9, 10 or 11.
`-attach8ro`
`-attach9ro`
`-attach10ro`
`-attach11ro`
  Attach disk image for drive #8-11 read only (`AttachDevice8Readonly=1`, `AttachDevice9Readonly=1`, `AttachDevice10Readonly=1`, `AttachDevice11Readonly=1`) (all emulators except vsid).
`-attach8rw`
`-attach9rw`
`-attach10rw`
`-attach11rw`
  Attach disk image for drive #8-11 read write (if possible) (`AttachDevice8Readonly=0`, `AttachDevice9Readonly=0`, `AttachDevice10Readonly=0`, `AttachDevice11Readonly=0`) (all emulators except vsid).

## 3.2 Autostarting programs from the command-line

It is possible to let the emulator autostart a disk or tape image file, by simply specifying its name as the last argument on the command line, for example

    x64 lovelygame.x64.gz

will start the C64 emulator, attaching ``lovelygame.x64.gz'` as a disk image and running the first program on it. You can also specify the name of the program on the fisk image by appending a colon (``:'`) the name itself to the argument; for example

    x64 "lovelygame.x64.gz:run me"

will run the program named ``run me'` on ``lovelygame.x64.gz'` instead of the first one.

Using the command-line option `-autostart` is equivalent; so the same result can be obtained with

    x64 -autostart "lovelygame.x64.gz:run me"

If you specify a raw CBM or P00 file, the emulator will setup the file system based drive emulation so that it is enabled and accesses the directory containing the file first. This is a very convenient way to start multi-file programs stored in file system directories and not requiring "true" drive emulation.

See section 5.5 Using disk and tape images. for more information about images and autostart.

Go to the first, previous, next, last section, table of contents.